# ChamferMatching Class Reference

The 2DChamferMatching module matches a contour given as a XMarkerList to a distance 2D image by iteratively minimizing the sum of the (interpolated) pixel values at the marker positions. More...

`#include <mlChamferMatching.h>`

List of all members.

## Public Types
enum | { amoeba = 0, amebsa = 1, numAlgorithms }
| algorithms More...
## Public Member Functions
| ChamferMatching ()
| Constructor.
MatrixField & | getMatrix1Fld () const
MatrixField & | getMatrix2Fld () const
MatrixField & | getMatrix3Fld () const
BoolField & | getApply1Fld () const
BoolField & | getApply2Fld () const
BoolField & | getApply3Fld () const
NotifyField & | getStartFld () const
NotifyField & | getStopFld () const
NotifyField & | getContinueFld () const
IntField & | getIterationsFld () const
IntField & | getUpdateFreqFld () const
IntField & | getnumMarkersFld () const
FloatField & | getAccuracyFld () const
FloatField & | gettemperatureFld () const
FloatField & | getannealingFld () const
FloatField & | getfinalCostFld () const
EnumField * | getModeFld () const
| Return which pattern mode is filled into the output image; default is mode 0 (XStripes).
void | updateMatrix1Fld ()
| update Matrices
void | updateMatrix2Fld ()
void | updateMatrix3Fld ()
virtual void | handleNotification (Field *field)
| Handle field changes of the field field.
virtual void | activateAttachments ()
| Update internal module state after load or clone and enable notification handling again.
void | doTransform ()
| doTransform
XMarkerList * | getOutMarkerList ()
void | generateMatrices (NRvector< Doub > x)
| define a vector x to modifiy the inital 4*4 tranformation matrices.
bool | getVoxelValue (MLint OutIndex, XMarker *marker, PagedImg *inImg, double **voxelValue)
| getVoxelValue from a marker on a image
void | filter ()
void | getValuesFromUI ()
virtual INPUT_HANDLE | handleInput (int inIndex, INPUT_STATE state) const
| Configures (in)validation handling of inputs which are not connected or up to date.
double | cost (VecDoub &x, void *obj)
| cost function that calculates the cost

## Detailed Description

The 2DChamferMatching module matches a contour given as a XMarkerList to a distance 2D image by iteratively minimizing the sum of the (interpolated) pixel values at the marker positions.

Definition at line 66 of file mlChamferMatching.h.

## Member Enumeration Documentation

anonymous enum

algorithms

Enumerator:

  numAlgorithms | Total number of algorithms, not to be used as enum value!

Definition at line 76 of file mlChamferMatching.h.

## Constructor & Destructor Documentation

ChamferMatching::ChamferMatching | ( |  | ) |

Constructor.

Get reference to the container for parameters/fields.

initalize the matrixtoUse variable

Definition at line 59 of file mlChamferMatching.cpp.

## Member Function Documentation

void ChamferMatching::handleNotification | ( | Field * | field | ) | `[virtual]`

Handle field changes of the field field.

call ameoba minimize function

call simulated annealing function here

Definition at line 272 of file mlChamferMatching.cpp.

The documentation for this class was generated from the following files:

- C:/AngioLocalizeNoAuto/MevisLabNoAutoReg/STUMevisApp/Angiolocalize/Sources/ML/STUChamferMatching/mlChamferMatching.h
- C:/AngioLocalizeNoAuto/MevisLabNoAutoReg/STUMevisApp/Angiolocalize/Sources/ML/STUChamferMatching/mlChamferMatching.cpp

All Classes Namespaces Files Functions Variables Enumerator Friends